Package org.eclipse.emf.compare.ide.logical

# Class ModelInclusionTesterRegistry

java.lang.Object
org.eclipse.emf.compare.ide.logical.ModelInclusionTesterRegistry

public class ModelInclusionTesterRegistry extends Object
Registry managing the model inclusion testers dependency registered through extension point `org.eclipse.emf.compare.ide.modelInclusionTester`.

Since:
  3.4.2

## Constructor Summary

Constructors
Constructor
Description
`ModelInclusionTesterRegistry()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String key, IModelInclusionTester modelInclusionTester)`
Adds a the specified `modelInclusionTester`.
`boolean`
`anyTesterIncludes(org.eclipse.core.resources.IFile file)`
Specifies whether any of the registered `model inclusion testers` includes the specified `file`.
`void`
`clear()`
Clears the registered `model inclusion testers`.
`Collection<IModelInclusionTester>`
`getModelInclusionTesters()`
Returns the model inclusion testers of this registry.
`boolean`
`remove(String key)`
Removes the model inclusion tester with the specified `key`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelInclusionTesterRegistry

public ModelInclusionTesterRegistry()

## Method Details

### getModelInclusionTesters

public Collection<IModelInclusionTester> getModelInclusionTesters()
Returns the model inclusion testers of this registry.

Returns:
  The model inclusion testers.

### add

public void add(String key, IModelInclusionTester modelInclusionTester)
Adds a the specified `modelInclusionTester`.

Parameters:
  `key` - The key to store it with. Must not be null.
  `modelInclusionTester` - The model inclusion tester. Must not be null.

### remove

public boolean remove(String key)
Removes the model inclusion tester with the specified `key`.

Parameters:
  `key` - The key of the model inclusion tester to be removed.
Returns:
  `true` if the tester was removed, `false` if there was no tester with the specified `key`.

### clear

public void clear()
Clears the registered `model inclusion testers`.

This method is mainly intended to be used for unit testing.

### anyTesterIncludes

public boolean anyTesterIncludes(org.eclipse.core.resources.IFile file)
Specifies whether any of the registered `model inclusion testers` includes the specified `file`.

Parameters:
  `file` - The file to test.
Returns:
  `true` if any of the testers includes the specified `file`, `false` otherwise.